diff --git a/doc/src/sgml/ref/create_function.sgml b/doc/src/sgml/ref/create_function.sgml
index 0d240484cd3..87e331f13bd 100644
--- a/doc/src/sgml/ref/create_function.sgml
+++ b/doc/src/sgml/ref/create_function.sgml
@@ -649,7 +649,7 @@ END
     parameters.  Thus for example these declarations conflict:
 <programlisting>
 CREATE FUNCTION foo(int) ...
-CREATE FUNCTION foo(int, out text) ...
+CREATE FUNCTION foo(int, OUT text) ...
 </programlisting>
    </para>
 
@@ -676,9 +676,9 @@ CREATE FUNCTION foo(int, int default 42) ...
     parenthesized type modifiers (e.g., the precision field for
     type <type>numeric</type>) are discarded by <command>CREATE FUNCTION</command>.
     Thus for example
-    <literal>CREATE FUNCTION foo (varchar(10)) ...</literal>
+    <literal>CREATE FUNCTION foo(varchar(10)) ...</literal>
     is exactly the same as
-    <literal>CREATE FUNCTION foo (varchar) ...</literal>.
+    <literal>CREATE FUNCTION foo(varchar) ...</literal>.
    </para>
 
    <para>
@@ -709,7 +709,7 @@ CREATE FUNCTION foo(int, int default 42) ...
    Add two integers using an SQL function:
 <programlisting>
 CREATE FUNCTION add(integer, integer) RETURNS integer
-    AS 'select $1 + $2;'
+    AS 'SELECT $1 + $2;'
     LANGUAGE SQL
     IMMUTABLE
     RETURNS NULL ON NULL INPUT;
@@ -740,7 +740,7 @@ $$ LANGUAGE plpgsql;
   <para>
    Return a record containing multiple output parameters:
 <programlisting>
-CREATE FUNCTION dup(in int, out f1 int, out f2 text)
+CREATE FUNCTION dup(IN int, OUT f1 int, OUT f2 text)
     AS $$ SELECT $1, CAST($1 AS text) || ' is text' $$
     LANGUAGE SQL;
 
@@ -760,7 +760,7 @@ SELECT * FROM dup(42);
    Another way to return multiple columns is to use a <literal>TABLE</literal>
    function:
 <programlisting>
-CREATE FUNCTION dup(int) RETURNS TABLE(f1 int, f2 text)
+CREATE FUNCTION dup(int) RETURNS TABLE (f1 int, f2 text)
     AS $$ SELECT $1, CAST($1 AS text) || ' is text' $$
     LANGUAGE SQL;
 
diff --git a/doc/src/sgml/ref/create_table.sgml b/doc/src/sgml/ref/create_table.sgml
index a157a244e4e..0bd31315ac7 100644
--- a/doc/src/sgml/ref/create_table.sgml
+++ b/doc/src/sgml/ref/create_table.sgml
@@ -2088,7 +2088,7 @@ CREATE TABLE films (
     date_prod   date,
     kind        varchar(10),
     len         interval hour to minute,
-    CONSTRAINT production UNIQUE(date_prod)
+    CONSTRAINT production UNIQUE (date_prod)
 );
 </programlisting>
   </para>
@@ -2128,7 +2128,7 @@ CREATE TABLE films (
     date_prod   date,
     kind        varchar(10),
     len         interval hour to minute,
-    CONSTRAINT code_title PRIMARY KEY(code,title)
+    CONSTRAINT code_title PRIMARY KEY (code, title)
 );
 </programlisting>
   </para>
@@ -2143,7 +2143,7 @@ CREATE TABLE films (
 CREATE TABLE distributors (
     did     integer,
     name    varchar(40),
-    PRIMARY KEY(did)
+    PRIMARY KEY (did)
 );
 
 CREATE TABLE distributors (
@@ -2199,7 +2199,7 @@ CREATE TABLE distributors (
 CREATE TABLE distributors (
     did     integer,
     name    varchar(40),
-    UNIQUE(name)
+    UNIQUE (name)
 );
 </programlisting>
   </para>
@@ -2212,7 +2212,7 @@ CREATE TABLE distributors (
 CREATE TABLE distributors (
     did     integer,
     name    varchar(40),
-    UNIQUE(name) WITH (fillfactor=70)
+    UNIQUE (name) WITH (fillfactor=70)
 )
 WITH (fillfactor=70);
 </programlisting>
@@ -2257,7 +2257,7 @@ CREATE TABLE employees OF employee_type (
    Create a range partitioned table:
 <programlisting>
 CREATE TABLE measurement (
-    logdate         date not null,
+    logdate         date NOT NULL,
     peaktemp        int,
     unitsales       int
 ) PARTITION BY RANGE (logdate);
@@ -2267,7 +2267,7 @@ CREATE TABLE measurement (
    Create a range partitioned table with multiple columns in the partition key:
 <programlisting>
 CREATE TABLE measurement_year_month (
-    logdate         date not null,
+    logdate         date NOT NULL,
     peaktemp        int,
     unitsales       int
 ) PARTITION BY RANGE (EXTRACT(YEAR FROM logdate), EXTRACT(MONTH FROM logdate));
@@ -2277,8 +2277,8 @@ CREATE TABLE measurement_year_month (
    Create a list partitioned table:
 <programlisting>
 CREATE TABLE cities (
-    city_id      bigserial not null,
-    name         text not null,
+    city_id      bigserial NOT NULL,
+    name         text NOT NULL,
     population   bigint
 ) PARTITION BY LIST (left(lower(name), 1));
 </programlisting></para>
@@ -2287,8 +2287,8 @@ CREATE TABLE cities (
    Create a hash partitioned table:
 <programlisting>
 CREATE TABLE orders (
-    order_id     bigint not null,
-    cust_id      bigint not null,
+    order_id     bigint NOT NULL,
+    cust_id      bigint NOT NULL,
     status       text
 ) PARTITION BY HASH (order_id);
 </programlisting></para>
@@ -2528,7 +2528,7 @@ CREATE TABLE cities_partdef
 
    <para>
     <productname>PostgreSQL</productname> allows a table of no columns
-    to be created (for example, <literal>CREATE TABLE foo();</literal>).  This
+    to be created (for example, <literal>CREATE TABLE foo ();</literal>).  This
     is an extension from the SQL standard, which does not allow zero-column
     tables.  Zero-column tables are not in themselves very useful, but
     disallowing them creates odd special cases for <command>ALTER TABLE
diff --git a/doc/src/sgml/ref/pg_rewind.sgml b/doc/src/sgml/ref/pg_rewind.sgml
index 928e78cda33..5b155cfa12a 100644
--- a/doc/src/sgml/ref/pg_rewind.sgml
+++ b/doc/src/sgml/ref/pg_rewind.sgml
@@ -372,10 +372,10 @@ PostgreSQL documentation
    a role, named <literal>rewind_user</literal> here:
 <programlisting>
 CREATE USER rewind_user LOGIN;
-GRANT EXECUTE ON function pg_catalog.pg_ls_dir(text, boolean, boolean) TO rewind_user;
-GRANT EXECUTE ON function pg_catalog.pg_stat_file(text, boolean) TO rewind_user;
-GRANT EXECUTE ON function pg_catalog.pg_read_binary_file(text) TO rewind_user;
-GRANT EXECUTE ON function pg_catalog.pg_read_binary_file(text, bigint, bigint, boolean) TO rewind_user;
+GRANT EXECUTE ON FUNCTION pg_catalog.pg_ls_dir(text, boolean, boolean) TO rewind_user;
+GRANT EXECUTE ON FUNCTION pg_catalog.pg_stat_file(text, boolean) TO rewind_user;
+GRANT EXECUTE ON FUNCTION pg_catalog.pg_read_binary_file(text) TO rewind_user;
+GRANT EXECUTE ON FUNCTION pg_catalog.pg_read_binary_file(text, bigint, bigint, boolean) TO rewind_user;
 </programlisting>
   </para>
 
diff --git a/doc/src/sgml/ref/psql-ref.sgml b/doc/src/sgml/ref/psql-ref.sgml
index 7e96a8e1ddb..1ab427d18af 100644
--- a/doc/src/sgml/ref/psql-ref.sgml
+++ b/doc/src/sgml/ref/psql-ref.sgml
@@ -2531,7 +2531,7 @@ Tue Oct 26 21:40:57 CEST 1999
          statement to be executed.  For example, to create an index on each
          column of <structname>my_table</structname>:
 <programlisting>
-=&gt; <userinput>SELECT format('create index on my_table(%I)', attname)</userinput>
+=&gt; <userinput>SELECT format('CREATE INDEX ON my_table (%I)', attname)</userinput>
 -&gt; <userinput>FROM pg_attribute</userinput>
 -&gt; <userinput>WHERE attrelid = 'my_table'::regclass AND attnum &gt; 0</userinput>
 -&gt; <userinput>ORDER BY attnum</userinput>
@@ -2766,8 +2766,8 @@ hello 10
 -- check for the existence of two separate records in the database and store
 -- the results in separate psql variables
 SELECT
-    EXISTS(SELECT 1 FROM customer WHERE customer_id = 123) as is_customer,
-    EXISTS(SELECT 1 FROM employee WHERE employee_id = 456) as is_employee
+    EXISTS (SELECT 1 FROM customer WHERE customer_id = 123) AS is_customer,
+    EXISTS (SELECT 1 FROM employee WHERE employee_id = 456) AS is_employee
 \gset
 \if :is_customer
     SELECT * FROM customer WHERE customer_id = 123;
@@ -4023,7 +4023,7 @@ SELECT 1 \bind \sendpipeline
         server as soon as it reaches the command-ending semicolon, even if
         more input remains on the current line.  Thus for example entering
 <programlisting>
-select 1; select 2; select 3;
+SELECT 1; SELECT 2; SELECT 3;
 </programlisting>
         will result in the three SQL commands being individually sent to
         the server, with each one's results being displayed before
@@ -4032,7 +4032,7 @@ select 1; select 2; select 3;
         command before it and the one after are effectively combined and
         sent to the server in one request.  So for example
 <programlisting>
-select 1\; select 2\; select 3;
+SELECT 1\; SELECT 2\; SELECT 3;
 </programlisting>
         results in sending the three SQL commands to the server in a single
         request, when the non-backslashed semicolon is reached.
@@ -5581,7 +5581,7 @@ PSQL_EDITOR_LINENUMBER_ARG='--line '
   input. Notice the changing prompt:
 <programlisting>
 testdb=&gt; <userinput>CREATE TABLE my_table (</userinput>
-testdb(&gt; <userinput> first integer not null default 0,</userinput>
+testdb(&gt; <userinput> first integer NOT NULL DEFAULT 0,</userinput>
 testdb(&gt; <userinput> second text)</userinput>
 testdb-&gt; <userinput>;</userinput>
 CREATE TABLE
@@ -5770,8 +5770,8 @@ testdb=&gt; <userinput>\crosstabview first second</userinput>
 This second example shows a multiplication table with rows sorted in reverse
 numerical order and columns with an independent, ascending numerical order.
 <programlisting>
-testdb=&gt; <userinput>SELECT t1.first as "A", t2.first+100 AS "B", t1.first*(t2.first+100) as "AxB",</userinput>
-testdb-&gt; <userinput>row_number() over(order by t2.first) AS ord</userinput>
+testdb=&gt; <userinput>SELECT t1.first AS "A", t2.first+100 AS "B", t1.first*(t2.first+100) AS "AxB",</userinput>
+testdb-&gt; <userinput>row_number() OVER (ORDER BY t2.first) AS ord</userinput>
 testdb-&gt; <userinput>FROM my_table t1 CROSS JOIN my_table t2 ORDER BY 1 DESC</userinput>
 testdb-&gt; <userinput>\crosstabview "A" "B" "AxB" ord</userinput>
  A | 101 | 102 | 103 | 104
diff --git a/doc/src/sgml/ref/select.sgml b/doc/src/sgml/ref/select.sgml
index 5a3bcff7607..9c78252dd0b 100644
--- a/doc/src/sgml/ref/select.sgml
+++ b/doc/src/sgml/ref/select.sgml
@@ -57,7 +57,7 @@ SELECT [ ALL | DISTINCT [ ON ( <replaceable class="parameter">expression</replac
                 [ WITH ORDINALITY ] [ [ AS ] <replaceable class="parameter">alias</replaceable> [ ( <replaceable class="parameter">column_alias</replaceable> [, ...] ) ] ]
     [ LATERAL ] <replaceable class="parameter">function_name</replaceable> ( [ <replaceable class="parameter">argument</replaceable> [, ...] ] ) [ AS ] <replaceable class="parameter">alias</replaceable> ( <replaceable class="parameter">column_definition</replaceable> [, ...] )
     [ LATERAL ] <replaceable class="parameter">function_name</replaceable> ( [ <replaceable class="parameter">argument</replaceable> [, ...] ] ) AS ( <replaceable class="parameter">column_definition</replaceable> [, ...] )
-    [ LATERAL ] ROWS FROM( <replaceable class="parameter">function_name</replaceable> ( [ <replaceable class="parameter">argument</replaceable> [, ...] ] ) [ AS ( <replaceable class="parameter">column_definition</replaceable> [, ...] ) ] [, ...] )
+    [ LATERAL ] ROWS FROM ( <replaceable class="parameter">function_name</replaceable> ( [ <replaceable class="parameter">argument</replaceable> [, ...] ] ) [ AS ( <replaceable class="parameter">column_definition</replaceable> [, ...] ) ] [, ...] )
                 [ WITH ORDINALITY ] [ [ AS ] <replaceable class="parameter">alias</replaceable> [ ( <replaceable class="parameter">column_alias</replaceable> [, ...] ) ] ]
     <replaceable class="parameter">from_item</replaceable> <replaceable class="parameter">join_type</replaceable> <replaceable class="parameter">from_item</replaceable> { ON <replaceable class="parameter">join_condition</replaceable> | USING ( <replaceable class="parameter">join_column</replaceable> [, ...] ) [ AS <replaceable class="parameter">join_using_alias</replaceable> ] }
     <replaceable class="parameter">from_item</replaceable> NATURAL <replaceable class="parameter">join_type</replaceable> <replaceable class="parameter">from_item</replaceable>
@@ -551,7 +551,7 @@ TABLE [ ONLY ] <replaceable class="parameter">table_name</replaceable> [ * ]
        <para>
         Multiple function calls can be combined into a
         single <literal>FROM</literal>-clause item by surrounding them
-        with <literal>ROWS FROM( ... )</literal>.  The output of such an item is the
+        with <literal>ROWS FROM ( ... )</literal>.  The output of such an item is the
         concatenation of the first row from each function, then the second
         row from each function, etc.  If some of the functions produce fewer
         rows than others, null values are substituted for the missing data, so
@@ -571,18 +571,18 @@ TABLE [ ONLY ] <replaceable class="parameter">table_name</replaceable> [ * ]
        </para>
 
        <para>
-        When using the <literal>ROWS FROM( ... )</literal> syntax, if one of the
+        When using the <literal>ROWS FROM ( ... )</literal> syntax, if one of the
         functions requires a column definition list, it's preferred to put
         the column definition list after the function call inside
-        <literal>ROWS FROM( ... )</literal>.  A column definition list can be placed
-        after the <literal>ROWS FROM( ... )</literal> construct only if there's just
+        <literal>ROWS FROM ( ... )</literal>.  A column definition list can be placed
+        after the <literal>ROWS FROM ( ... )</literal> construct only if there's just
         a single function and no <literal>WITH ORDINALITY</literal> clause.
        </para>
 
        <para>
         To use <literal>ORDINALITY</literal> together with a column definition
-        list, you must use the <literal>ROWS FROM( ... )</literal> syntax and put the
-        column definition list inside <literal>ROWS FROM( ... )</literal>.
+        list, you must use the <literal>ROWS FROM ( ... )</literal> syntax and put the
+        column definition list inside <literal>ROWS FROM ( ... )</literal>.
        </para>
       </listitem>
      </varlistentry>
@@ -1927,7 +1927,7 @@ SELECT * FROM unnest(ARRAY['a','b','c','d','e','f']) WITH ORDINALITY;
 
 <programlisting>
 WITH t AS (
-    SELECT random() as x FROM generate_series(1, 3)
+    SELECT random() AS x FROM generate_series(1, 3)
   )
 SELECT * FROM t
 UNION ALL
@@ -2209,7 +2209,7 @@ SELECT 2+2;
    </para>
 
    <para>
-    <literal>ROWS FROM( ... )</literal> is an extension of the SQL standard.
+    <literal>ROWS FROM ( ... )</literal> is an extension of the SQL standard.
    </para>
 
    <para>
diff --git a/doc/src/sgml/rules.sgml b/doc/src/sgml/rules.sgml
index 282dcd722d4..50ac9bd4bdb 100644
--- a/doc/src/sgml/rules.sgml
+++ b/doc/src/sgml/rules.sgml
@@ -968,7 +968,7 @@ CREATE MATERIALIZED VIEW sales_summary AS
   SELECT
       seller_no,
       invoice_date,
-      sum(invoice_amt)::numeric(13,2) as sales_amt
+      sum(invoice_amt)::numeric(13,2) AS sales_amt
     FROM invoice
     WHERE invoice_date &lt; CURRENT_DATE
     GROUP BY
diff --git a/doc/src/sgml/seg.sgml b/doc/src/sgml/seg.sgml
index dc66e24f2f5..d2d37176835 100644
--- a/doc/src/sgml/seg.sgml
+++ b/doc/src/sgml/seg.sgml
@@ -46,7 +46,7 @@
    when you fetch it? Watch:
 
 <screen>
-test=&gt; select 6.50 :: float8 as "pH";
+test=&gt; SELECT 6.50::float8 AS "pH";
  pH
 ---
 6.5
@@ -72,7 +72,7 @@ test=&gt; select 6.50 :: float8 as "pH";
    Check this out:
 
 <screen>
-test=&gt; select '6.25 .. 6.50'::seg as "pH";
+test=&gt; SELECT '6.25 .. 6.50'::seg AS "pH";
           pH
 ------------
 6.25 .. 6.50
diff --git a/doc/src/sgml/tablefunc.sgml b/doc/src/sgml/tablefunc.sgml
index e10fe7009d1..68fc806ce4d 100644
--- a/doc/src/sgml/tablefunc.sgml
+++ b/doc/src/sgml/tablefunc.sgml
@@ -281,22 +281,22 @@ SELECT * FROM crosstab('...') AS ct(row_name text, category_1 text, category_2 t
    <para>
     Here is a complete example:
 <programlisting>
-CREATE TABLE ct(id SERIAL, rowid TEXT, attribute TEXT, value TEXT);
-INSERT INTO ct(rowid, attribute, value) VALUES('test1','att1','val1');
-INSERT INTO ct(rowid, attribute, value) VALUES('test1','att2','val2');
-INSERT INTO ct(rowid, attribute, value) VALUES('test1','att3','val3');
-INSERT INTO ct(rowid, attribute, value) VALUES('test1','att4','val4');
-INSERT INTO ct(rowid, attribute, value) VALUES('test2','att1','val5');
-INSERT INTO ct(rowid, attribute, value) VALUES('test2','att2','val6');
-INSERT INTO ct(rowid, attribute, value) VALUES('test2','att3','val7');
-INSERT INTO ct(rowid, attribute, value) VALUES('test2','att4','val8');
+CREATE TABLE ct (id SERIAL, rowid TEXT, attribute TEXT, value TEXT);
+INSERT INTO ct (rowid, attribute, value) VALUES ('test1', 'att1', 'val1');
+INSERT INTO ct (rowid, attribute, value) VALUES ('test1', 'att2', 'val2');
+INSERT INTO ct (rowid, attribute, value) VALUES ('test1', 'att3', 'val3');
+INSERT INTO ct (rowid, attribute, value) VALUES ('test1', 'att4', 'val4');
+INSERT INTO ct (rowid, attribute, value) VALUES ('test2', 'att1', 'val5');
+INSERT INTO ct (rowid, attribute, value) VALUES ('test2', 'att2', 'val6');
+INSERT INTO ct (rowid, attribute, value) VALUES ('test2', 'att3', 'val7');
+INSERT INTO ct (rowid, attribute, value) VALUES ('test2', 'att4', 'val8');
 
 SELECT *
 FROM crosstab(
-  'select rowid, attribute, value
-   from ct
-   where attribute = ''att2'' or attribute = ''att3''
-   order by 1,2')
+  'SELECT rowid, attribute, value
+   FROM ct
+   WHERE attribute = ''att2'' OR attribute = ''att3''
+   ORDER BY 1,2')
 AS ct(row_name text, category_1 text, category_2 text, category_3 text);
 
  row_name | category_1 | category_2 | category_3
@@ -371,10 +371,10 @@ CREATE TYPE tablefunc_crosstab_N AS (
 <programlisting>
 SELECT *
 FROM crosstab3(
-  'select rowid, attribute, value
-   from ct
-   where attribute = ''att2'' or attribute = ''att3''
-   order by 1,2');
+  'SELECT rowid, attribute, value
+   FROM ct
+   WHERE attribute = ''att2'' OR attribute = ''att3''
+   ORDER BY 1,2');
 </programlisting>
     </para>
 
@@ -407,7 +407,7 @@ CREATE TYPE my_crosstab_float8_5_cols AS (
 );
 
 CREATE OR REPLACE FUNCTION crosstab_float8_5_cols(text)
-    RETURNS setof my_crosstab_float8_5_cols
+    RETURNS SETOF my_crosstab_float8_5_cols
     AS '$libdir/tablefunc','crosstab' LANGUAGE C STABLE STRICT;
 </programlisting>
       </para>
@@ -426,7 +426,7 @@ CREATE OR REPLACE FUNCTION crosstab_float8_5_cols(
     OUT my_category_3 float8,
     OUT my_category_4 float8,
     OUT my_category_5 float8)
-  RETURNS setof record
+  RETURNS SETOF record
   AS '$libdir/tablefunc','crosstab' LANGUAGE C STABLE STRICT;
 </programlisting>
       </para>
@@ -572,18 +572,18 @@ row_name   extra   cat1   cat2   cat3   cat4
    <para>
     Here are two complete examples:
 <programlisting>
-create table sales(year int, month int, qty int);
-insert into sales values(2007, 1, 1000);
-insert into sales values(2007, 2, 1500);
-insert into sales values(2007, 7, 500);
-insert into sales values(2007, 11, 1500);
-insert into sales values(2007, 12, 2000);
-insert into sales values(2008, 1, 1000);
-
-select * from crosstab(
-  'select year, month, qty from sales order by 1',
-  'select m from generate_series(1,12) m'
-) as (
+CREATE TABLE sales (year int, month int, qty int);
+INSERT INTO sales VALUES (2007,  1, 1000);
+INSERT INTO sales VALUES (2007,  2, 1500);
+INSERT INTO sales VALUES (2007,  7,  500);
+INSERT INTO sales VALUES (2007, 11, 1500);
+INSERT INTO sales VALUES (2007, 12, 2000);
+INSERT INTO sales VALUES (2008,  1, 1000);
+
+SELECT * FROM crosstab(
+  'SELECT year, month, qty FROM sales ORDER BY 1',
+  'SELECT m FROM generate_series(1, 12) m'
+) AS (
   year int,
   "Jan" int,
   "Feb" int,
@@ -606,14 +606,14 @@ select * from crosstab(
 </programlisting>
 
 <programlisting>
-CREATE TABLE cth(rowid text, rowdt timestamp, attribute text, val text);
-INSERT INTO cth VALUES('test1','01 March 2003','temperature','42');
-INSERT INTO cth VALUES('test1','01 March 2003','test_result','PASS');
-INSERT INTO cth VALUES('test1','01 March 2003','volts','2.6987');
-INSERT INTO cth VALUES('test2','02 March 2003','temperature','53');
-INSERT INTO cth VALUES('test2','02 March 2003','test_result','FAIL');
-INSERT INTO cth VALUES('test2','02 March 2003','test_startdate','01 March 2003');
-INSERT INTO cth VALUES('test2','02 March 2003','volts','3.1234');
+CREATE TABLE cth (rowid text, rowdt timestamp, attribute text, val text);
+INSERT INTO cth VALUES ('test1', '01 March 2003', 'temperature',    '42');
+INSERT INTO cth VALUES ('test1', '01 March 2003', 'test_result',    'PASS');
+INSERT INTO cth VALUES ('test1', '01 March 2003', 'volts',          '2.6987');
+INSERT INTO cth VALUES ('test2', '02 March 2003', 'temperature',    '53');
+INSERT INTO cth VALUES ('test2', '02 March 2003', 'test_result',    'FAIL');
+INSERT INTO cth VALUES ('test2', '02 March 2003', 'test_startdate', '01 March 2003');
+INSERT INTO cth VALUES ('test2', '02 March 2003', 'volts',          '3.1234');
 
 SELECT * FROM crosstab
 (
@@ -784,17 +784,17 @@ SELECT * FROM connectby('connectby_tree', 'keyid', 'parent_keyid', 'pos', 'row2'
     <para>
      Here is an example:
 <programlisting>
-CREATE TABLE connectby_tree(keyid text, parent_keyid text, pos int);
-
-INSERT INTO connectby_tree VALUES('row1',NULL, 0);
-INSERT INTO connectby_tree VALUES('row2','row1', 0);
-INSERT INTO connectby_tree VALUES('row3','row1', 0);
-INSERT INTO connectby_tree VALUES('row4','row2', 1);
-INSERT INTO connectby_tree VALUES('row5','row2', 0);
-INSERT INTO connectby_tree VALUES('row6','row4', 0);
-INSERT INTO connectby_tree VALUES('row7','row3', 0);
-INSERT INTO connectby_tree VALUES('row8','row6', 0);
-INSERT INTO connectby_tree VALUES('row9','row5', 0);
+CREATE TABLE connectby_tree (keyid text, parent_keyid text, pos int);
+
+INSERT INTO connectby_tree VALUES ('row1', NULL,   0);
+INSERT INTO connectby_tree VALUES ('row2', 'row1', 0);
+INSERT INTO connectby_tree VALUES ('row3', 'row1', 0);
+INSERT INTO connectby_tree VALUES ('row4', 'row2', 1);
+INSERT INTO connectby_tree VALUES ('row5', 'row2', 0);
+INSERT INTO connectby_tree VALUES ('row6', 'row4', 0);
+INSERT INTO connectby_tree VALUES ('row7', 'row3', 0);
+INSERT INTO connectby_tree VALUES ('row8', 'row6', 0);
+INSERT INTO connectby_tree VALUES ('row9', 'row5', 0);
 
 -- with branch, without orderby_fld (order of results is not guaranteed)
 SELECT * FROM connectby('connectby_tree', 'keyid', 'parent_keyid', 'row2', 0, '~')
diff --git a/doc/src/sgml/tcn.sgml b/doc/src/sgml/tcn.sgml
index 32a1025cc6b..98278fbee37 100644
--- a/doc/src/sgml/tcn.sgml
+++ b/doc/src/sgml/tcn.sgml
@@ -43,32 +43,32 @@
   A brief example of using the extension follows.
 
 <programlisting>
-test=# create table tcndata
+test=# CREATE TABLE tcndata
 test-#   (
-test(#     a int not null,
-test(#     b date not null,
+test(#     a int NOT NULL,
+test(#     b date NOT NULL,
 test(#     c text,
-test(#     primary key (a, b)
+test(#     PRIMARY KEY (a, b)
 test(#   );
 CREATE TABLE
-test=# create trigger tcndata_tcn_trigger
-test-#   after insert or update or delete on tcndata
-test-#   for each row execute function triggered_change_notification();
+test=# CREATE TRIGGER tcndata_tcn_trigger
+test-#   AFTER INSERT OR UPDATE OR DELETE ON tcndata
+test-#   FOR EACH ROW EXECUTE FUNCTION triggered_change_notification();
 CREATE TRIGGER
-test=# listen tcn;
+test=# LISTEN tcn;
 LISTEN
-test=# insert into tcndata values (1, date '2012-12-22', 'one'),
+test=# INSERT INTO tcndata VALUES (1, date '2012-12-22', 'one'),
 test-#                            (1, date '2012-12-23', 'another'),
 test-#                            (2, date '2012-12-23', 'two');
 INSERT 0 3
 Asynchronous notification "tcn" with payload ""tcndata",I,"a"='1',"b"='2012-12-22'" received from server process with PID 22770.
 Asynchronous notification "tcn" with payload ""tcndata",I,"a"='1',"b"='2012-12-23'" received from server process with PID 22770.
 Asynchronous notification "tcn" with payload ""tcndata",I,"a"='2',"b"='2012-12-23'" received from server process with PID 22770.
-test=# update tcndata set c = 'uno' where a = 1;
+test=# UPDATE tcndata SET c = 'uno' WHERE a = 1;
 UPDATE 2
 Asynchronous notification "tcn" with payload ""tcndata",U,"a"='1',"b"='2012-12-22'" received from server process with PID 22770.
 Asynchronous notification "tcn" with payload ""tcndata",U,"a"='1',"b"='2012-12-23'" received from server process with PID 22770.
-test=# delete from tcndata where a = 1 and b = date '2012-12-22';
+test=# DELETE FROM tcndata WHERE a = 1 AND b = date '2012-12-22';
 DELETE 1
 Asynchronous notification "tcn" with payload ""tcndata",D,"a"='1',"b"='2012-12-22'" received from server process with PID 22770.
 </programlisting>
diff --git a/doc/src/sgml/textsearch.sgml b/doc/src/sgml/textsearch.sgml
index 89928ed1829..2b79761af0f 100644
--- a/doc/src/sgml/textsearch.sgml
+++ b/doc/src/sgml/textsearch.sgml
@@ -1817,7 +1817,7 @@ SELECT ts_rewrite('a &amp; b'::tsquery, 'a'::tsquery, 'c'::tsquery);
 
 <screen>
 CREATE TABLE aliases (t tsquery PRIMARY KEY, s tsquery);
-INSERT INTO aliases VALUES('a', 'c');
+INSERT INTO aliases VALUES ('a', 'c');
 
 SELECT ts_rewrite('a &amp; b'::tsquery, 'SELECT t,s FROM aliases');
  ts_rewrite
@@ -1842,7 +1842,7 @@ SELECT ts_rewrite('a &amp; b'::tsquery, 'SELECT t,s FROM aliases');
 
 <screen>
 CREATE TABLE aliases (t tsquery primary key, s tsquery);
-INSERT INTO aliases VALUES(to_tsquery('supernovae'), to_tsquery('supernovae|sn'));
+INSERT INTO aliases VALUES (to_tsquery('supernovae'), to_tsquery('supernovae|sn'));
 
 SELECT ts_rewrite(to_tsquery('supernovae &amp; crab'), 'SELECT * FROM aliases');
            ts_rewrite
@@ -1930,7 +1930,7 @@ CREATE TRIGGER tsvectorupdate BEFORE INSERT OR UPDATE
 ON messages FOR EACH ROW EXECUTE FUNCTION
 tsvector_update_trigger(tsv, 'pg_catalog.english', title, body);
 
-INSERT INTO messages VALUES('title here', 'the body text is here');
+INSERT INTO messages VALUES ('title here', 'the body text is here');
 
 SELECT * FROM messages;
    title    |         body          |            tsv
@@ -1974,12 +1974,12 @@ SELECT title, body FROM messages WHERE tsv @@ to_tsquery('title &amp; body');
 
 <programlisting>
 CREATE FUNCTION messages_trigger() RETURNS trigger AS $$
-begin
+BEGIN
   new.tsv :=
      setweight(to_tsvector('pg_catalog.english', coalesce(new.title,'')), 'A') ||
      setweight(to_tsvector('pg_catalog.english', coalesce(new.body,'')), 'D');
-  return new;
-end
+  RETURN new;
+END
 $$ LANGUAGE plpgsql;
 
 CREATE TRIGGER tsvectorupdate BEFORE INSERT OR UPDATE
diff --git a/doc/src/sgml/typeconv.sgml b/doc/src/sgml/typeconv.sgml
index 1707bd884dc..8e11e91e815 100644
--- a/doc/src/sgml/typeconv.sgml
+++ b/doc/src/sgml/typeconv.sgml
@@ -490,7 +490,7 @@ SELECT ~ CAST('20' AS int8) AS "negation";
 Here is another example of resolving an operator with one known and one
 unknown input:
 <screen>
-SELECT array[1,2] &lt;@ '{1,2,3}' as "is subset";
+SELECT ARRAY[1,2] &lt;@ '{1,2,3}' AS "is subset";
 
  is subset
 -----------
@@ -523,8 +523,8 @@ This is possible but is not nearly as useful as it might seem, because the
 operator resolution rules are designed to select operators applying to the
 domain's base type.  As an example consider
 <screen>
-CREATE DOMAIN mytext AS text CHECK(...);
-CREATE FUNCTION mytext_eq_text (mytext, text) RETURNS boolean AS ...;
+CREATE DOMAIN mytext AS text CHECK (...);
+CREATE FUNCTION mytext_eq_text(mytext, text) RETURNS boolean AS ...;
 CREATE OPERATOR = (procedure=mytext_eq_text, leftarg=mytext, rightarg=text);
 CREATE TABLE mytable (val mytext);
 
